OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.Selection

Description

This module corresponds to section 5.2 (Selection) of the OpenGL 2.1 specs.

# Documentation

data HitRecord Source #

Constructors

HitRecord GLfloat GLfloat [Name] |

#### Instances

Instances details

Show HitRecord Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Selection Methods showsPrec :: Int -> HitRecord -> ShowS Source # show :: HitRecord -> String Source # showList :: [HitRecord] -> ShowS Source #
Eq HitRecord Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Selection Methods (==) :: HitRecord -> HitRecord -> Bool Source # (/=) :: HitRecord -> HitRecord -> Bool Source #
Ord HitRecord Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Selection

Methods

compare :: HitRecord -> HitRecord -> Ordering Source #

(<) :: HitRecord -> HitRecord -> Bool Source #

(<=) :: HitRecord -> HitRecord -> Bool Source #

(>) :: HitRecord -> HitRecord -> Bool Source #

(>=) :: HitRecord -> HitRecord -> Bool Source #

max :: HitRecord -> HitRecord -> HitRecord Source #

min :: HitRecord -> HitRecord -> HitRecord Source #

getHitRecords :: GLsizei -> IO a -> IO (a, Maybe [HitRecord]) Source #

newtype Name Source #

Constructors

Name GLuint |

#### Instances

Instances details

Show Name Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Selection Methods showsPrec :: Int -> Name -> ShowS Source # show :: Name -> String Source # showList :: [Name] -> ShowS Source #
Eq Name Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Selection Methods (==) :: Name -> Name -> Bool Source # (/=) :: Name -> Name -> Bool Source #
Ord Name Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Selection Methods compare :: Name -> Name -> Ordering Source # (<) :: Name -> Name -> Bool Source # (<=) :: Name -> Name -> Bool Source # (>) :: Name -> Name -> Bool Source # (>=) :: Name -> Name -> Bool Source # max :: Name -> Name -> Name Source # min :: Name -> Name -> Name Source #

withName :: Name -> IO a -> IO a Source #

loadName :: Name -> IO () Source #

maxNameStackDepth :: GettableStateVar GLsizei Source #

nameStackDepth :: GettableStateVar GLsizei Source #

data RenderMode Source #

Constructors

Render |
Feedback |
Select |

#### Instances

Instances details

Show RenderMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.RenderMode Methods showsPrec :: Int -> RenderMode -> ShowS Source # show :: RenderMode -> String Source # showList :: [RenderMode] -> ShowS Source #
Eq RenderMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.RenderMode Methods (==) :: RenderMode -> RenderMode -> Bool Source # (/=) :: RenderMode -> RenderMode -> Bool Source #
Ord RenderMode Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.RenderMode

Methods

compare :: RenderMode -> RenderMode -> Ordering Source #

(<) :: RenderMode -> RenderMode -> Bool Source #

(<=) :: RenderMode -> RenderMode -> Bool Source #

(>) :: RenderMode -> RenderMode -> Bool Source #

(>=) :: RenderMode -> RenderMode -> Bool Source #

max :: RenderMode -> RenderMode -> RenderMode Source #

min :: RenderMode -> RenderMode -> RenderMode Source #

renderMode :: GettableStateVar RenderMode Source #